import { getRxStorageDexie } from 'rxdb/plugins/storage-dexie';
import { getRxStorageMemory } from 'rxdb/plugins/storage-memory';

function getRxDatabaseCreator(config) {
    let { name, options, storage, ...rest } = config;
    if (!storage) {
        switch (options.storageType) {
            case 'dexie':
                storage = getRxStorageDexie(options.storageOptions);
                break;
            case 'memory':
                storage = getRxStorageMemory(options.storageOptions);
                break;
            default:
                storage = getRxStorageMemory(options.storageOptions);
                break;
        }
    }
    const dbConfig = {
        name,
        storage,
        options,
        ...rest,
    };
    return dbConfig;
}
const DEFAULT_BACKOFF_FN = (delay) => (delay === 0 ? 2000 : delay * 3);
const DEFAULT_LOCAL_DOCUMENT_ID = 'local';

export { DEFAULT_BACKOFF_FN, DEFAULT_LOCAL_DOCUMENT_ID, getRxDatabaseCreator };
//# sourceMappingURL=ngx-odm-rxdb-config.mjs.map
