import { InjectionToken, Provider } from '@angular/core';
import { RxDBCollectionService } from '@ngx-odm/rxdb/collection';
import type { RxCollectionCreatorExtended } from '@ngx-odm/rxdb/config';
import { MangoQueryParams } from '@ngx-odm/rxdb/config';
import { RxDBService } from '@ngx-odm/rxdb/core';
import { RxDatabaseCreator } from 'rxdb';
import { Observable } from 'rxjs';
export declare const RXDB: InjectionToken<RxDBService>;
export declare const RXDB_CONFIG: InjectionToken<RxDatabaseCreator<any, any, unknown>>;
export declare const RXDB_CONFIG_COLLECTION: InjectionToken<{
    instanceCreationOptions?: any;
    schema: import("rxdb").RxJsonSchema<any>;
    name: string;
    migrationStrategies?: import("rxdb").MigrationStrategies | undefined;
    autoMigrate?: boolean | undefined;
    statics?: import("rxdb").KeyFunctionMap | undefined;
    methods?: import("rxdb").KeyFunctionMap | undefined;
    attachments?: import("rxdb").KeyFunctionMap | undefined;
    localDocuments?: boolean | undefined;
    cacheReplacementPolicy?: import("rxdb").RxCacheReplacementPolicy | undefined;
    conflictHandler?: import("rxdb").RxConflictHandler<any> | undefined;
    options?: import("@ngx-odm/rxdb/config").RxCollectionCreatorOptions<any> | undefined;
}>;
export declare const RXDB_COLLECTION: InjectionToken<RxDBCollectionService<{
    id: string;
}>>;
export declare function provideRxDatabase(config: RxDatabaseCreator): Provider[];
export declare function provideRxCollection(collectionConfig: RxCollectionCreatorExtended): Provider[];
export declare const CURRENT_URL: InjectionToken<Observable<string>>;
export declare const updateQueryParams: InjectionToken<(queryParams: MangoQueryParams) => Promise<boolean>>;
