import { KintInfoResponse, KintoAggregateResponse, KintoBatchResponse, KintoCollectionSyncOptions, KintoPaginatedParams, KintoPaginationResult, KintoRequest } from './types';
export declare const DEFAULT_KINTO_SYNC_OPTIONS: KintoCollectionSyncOptions;
export declare const DEFAULT_REPLICATION_OPTIONS: {
    kintoSyncOptions: KintoCollectionSyncOptions;
    live: boolean;
    retryTime: number;
    waitForLeadership: boolean;
    autoStart: boolean;
};
export declare function assignLastModified(doc: any, last_modified: number, force?: boolean): any;
export declare function addEndpointOptions(path: string, options?: {
    fields?: string[];
    query?: {
        [key: string]: any;
    };
}): string;
export declare function cleanUndefinedProperties(obj: {
    [key: string]: any;
}): {
    [key: string]: any;
};
export declare function qsify(obj: {
    [key: string]: any;
}): string;
export declare function aggregate(responses?: KintoBatchResponse[], requests?: KintoRequest[]): KintoAggregateResponse;
export declare function mergeAggregatedResponse(obj: KintoAggregateResponse, next: KintoAggregateResponse): KintoAggregateResponse;
export declare function kintoCollectionFactory({ remote, bucket, collection: collectionName, headers, exclude, expectedTimestamp, }?: KintoCollectionSyncOptions, fetch?: typeof globalThis.fetch): {
    info(): Promise<KintInfoResponse>;
    listRecords(options: KintoPaginatedParams): Promise<KintoPaginationResult<any>>;
    batch(changes: any[]): Promise<KintoAggregateResponse>;
};
